libmwaw::PrinterRect Struct Reference

the AppleŠ rectangle : Rect More...

`#include <MWAWPrinter.hxx>`

## Public Member Functions

MWAWVec2i | size () const
| returns the size
MWAWVec2i | pos (int i) const
| returns the position ( 0: leftTop, 1:rightBottom )
bool | read (MWAWInputStreamPtr input, MWAWVec2i const &res)
| read value in a file, knowing the resolution

## Protected Attributes

MWAWVec2i | m_pos [2]
| the LT and RB positions

## Friends

std::ostream & | operator<< (std::ostream &o, PrinterRect const &r)
| operator <<

## Detailed Description

the AppleŠ rectangle : Rect

## Member Function Documentation

## pos()

MWAWVec2i libmwaw::PrinterRect::pos | ( | int | i | ) | const

inline

returns the position ( 0: leftTop, 1:rightBottom )

Referenced by ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), FullWrtParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), and WriterPlsParser::readPrintInfo().

## read()

bool libmwaw::PrinterRect::read | ( | MWAWInputStreamPtr | input,
|  | MWAWVec2i const & | res )

read value in a file, knowing the resolution

## size()

MWAWVec2i libmwaw::PrinterRect::size | ( |  | ) | const

inline

returns the size

Referenced by ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), FullWrtParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWksDocument::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), PowerPoint1Parser::readPrintInfo(), PowerPoint3Parser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PrinterRect const & | r )

friend

operator <<

## Member Data Documentation

## m_pos

MWAWVec2i libmwaw::PrinterRect::m_pos[2]

protected

the LT and RB positions

Referenced by operator<<, pos(), read(), and size().

The documentation for this struct was generated from the following files:

- MWAWPrinter.hxx
- MWAWPrinter.cxx